#include <vector>
#include <queue>
#include <numeric>
#include <algorithm>
#include <cmath>
#include <iostream>

using namespace std;

class ProductInventory {
private:
	int day = 0;
	vector<int> buy_price;
	vector<int> sell_price;
	vector<int> expires;

public:
	int init(vector<int> buy, vector<int> sell, vector<int> expiration) {
		buy_price = buy;
		sell_price = sell;
		expires = expiration;

		return 0;
	}

	vector<int> order(vector<int> yesterday) {
		cerr << "Day: " << day << "\n";

		day++;

		return vector<int>(yesterday.size(), 0);
	}
};

// Do not submit the main.
int main() {
	int n;
	vector<int> buy;
	vector<int> sell;
	vector<int> expiration;
	vector<int> yesterday;
	vector<int> res;

	cin >> n;
	buy.resize(n);
	for (int i = 0; i < n; i++) {
		cin >> buy[i];
	}

	cin >> n;
	sell.resize(n);
	for (int i = 0; i < n; i++) {
		cin >> sell[i];
	}

	cin >> n;
	expiration.resize(n);
	for (int i = 0; i < n; i++) {
		cin >> expiration[i];
	}

	ProductInventory *sol = new ProductInventory;
	cout << sol->init(buy, sell, expiration) << "\n";
	cout << flush;

	for (int k = 0; k < 100; k++) {
		cin >> n;
		yesterday.resize(n);
		for (int i = 0; i < n; i++) {
			cin >> yesterday[i];
		}

		res = sol->order(yesterday);

		cout << res.size() << "\n";
		for (int i = 0; i < (int)res.size(); i++) {
			cout << res[i] << "\n";
		}
		cout << flush;
	}
	
	delete sol;
	return 0;
}